aagc.vo

## Class ElencoRicevuta

- java.lang.Object
- - aagc.vo.ElencoRicevuta

-     public class ElencoRicevuta
      extends java.lang.Object

  Classe Java per elencoRicevuta complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="elencoRicevuta">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="numProtocollo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataInizioValidita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataFineValidita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="argomento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `argomento`
    `protected java.lang.String` | `dataFineValidita`
    `protected java.lang.String` | `dataInizioValidita`
    `protected java.lang.String` | `numProtocollo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElencoRicevuta()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArgomento()` Recupera il valore della proprietà argomento.
    `java.lang.String` | `getDataFineValidita()` Recupera il valore della proprietà dataFineValidita.
    `java.lang.String` | `getDataInizioValidita()` Recupera il valore della proprietà dataInizioValidita.
    `java.lang.String` | `getNumProtocollo()` Recupera il valore della proprietà numProtocollo.
    `void` | `setArgomento(java.lang.String value)` Imposta il valore della proprietà argomento.
    `void` | `setDataFineValidita(java.lang.String value)` Imposta il valore della proprietà dataFineValidita.
    `void` | `setDataInizioValidita(java.lang.String value)` Imposta il valore della proprietà dataInizioValidita.
    `void` | `setNumProtocollo(java.lang.String value)` Imposta il valore della proprietà numProtocollo.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numProtocollo

          protected java.lang.String numProtocollo

    - #### dataInizioValidita

          protected java.lang.String dataInizioValidita

    - #### dataFineValidita

          protected java.lang.String dataFineValidita

    - #### argomento

          protected java.lang.String argomento

  - ### Constructor Detail

    - #### ElencoRicevuta

          public ElencoRicevuta()

  - ### Method Detail

    - #### getNumProtocollo

          public java.lang.String getNumProtocollo()

      Recupera il valore della proprietà numProtocollo.
      Returns:
        possible object is `String`

    - #### setNumProtocollo

          public void setNumProtocollo(java.lang.String value)

      Imposta il valore della proprietà numProtocollo.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizioValidita

          public java.lang.String getDataInizioValidita()

      Recupera il valore della proprietà dataInizioValidita.
      Returns:
        possible object is `String`

    - #### setDataInizioValidita

          public void setDataInizioValidita(java.lang.String value)

      Imposta il valore della proprietà dataInizioValidita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFineValidita

          public java.lang.String getDataFineValidita()

      Recupera il valore della proprietà dataFineValidita.
      Returns:
        possible object is `String`

    - #### setDataFineValidita

          public void setDataFineValidita(java.lang.String value)

      Imposta il valore della proprietà dataFineValidita.
      Parameters:
        `value` - allowed object is `String`

    - #### getArgomento

          public java.lang.String getArgomento()

      Recupera il valore della proprietà argomento.
      Returns:
        possible object is `String`

    - #### setArgomento

          public void setArgomento(java.lang.String value)

      Imposta il valore della proprietà argomento.
      Parameters:
        `value` - allowed object is `String`